<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Core/Scripts/3_game/dayzexpansion_core/zone/expansionzonecylinder.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d8/d19/a00935_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionzonecylinder.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d8/d19/a00935.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionZoneCylinder.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="comment"></span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="comment">/**@class       ExpansionZoneCylinder</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="comment"> * @brief</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="comment"> **/</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../db/d96/a04417.html">   16</a></span><span class="keyword">class </span><a class="code hl_class" href="../../db/d96/a04417.html">ExpansionZoneCylinder</a> : <a class="code hl_class" href="../../da/dce/a04397.html">ExpansionZone</a></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>{</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../db/d96/a04417.html#a99b2856802ef55ab4d2108873cf9a262">   18</a></span>    vector <a class="code hl_variable" href="../../db/d96/a04417.html#a99b2856802ef55ab4d2108873cf9a262">m_Position</a>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../db/d96/a04417.html#a680b2cd82d6a6bf143f97339077484fa">   19</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../db/d96/a04417.html#a680b2cd82d6a6bf143f97339077484fa">m_Radius</a>;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../db/d96/a04417.html#a110e02c731e1e26e87faa771499936f8">   20</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../db/d96/a04417.html#a110e02c731e1e26e87faa771499936f8">m_Height</a>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span> </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../db/d96/a04417.html#a64063c97cccce105b4dbbbe29bce6d0e">   22</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d96/a04417.html#a64063c97cccce105b4dbbbe29bce6d0e">ExpansionZoneCylinder</a>(<a class="code hl_enumeration" href="../../d6/dad/a00941.html#a91fff2923c73524aa9ddd1aa0e5c0337">ExpansionZoneType</a> type, vector <a class="code hl_variable" href="../../d2/d11/a02384.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>, <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d2/d11/a02384.html#a5050a760c11da521cd4aee6336f6529f">radius</a>, <span class="keywordtype">float</span> height)</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    {</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.ZONES, <span class="keyword">this</span>, <span class="stringliteral">&quot;ExpansionZoneCylinder&quot;</span>);</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span> </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <a class="code hl_variable" href="../../db/d96/a04417.html#a99b2856802ef55ab4d2108873cf9a262">m_Position</a> = <a class="code hl_variable" href="../../d2/d11/a02384.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <a class="code hl_variable" href="../../db/d96/a04417.html#a680b2cd82d6a6bf143f97339077484fa">m_Radius</a> = <a class="code hl_variable" href="../../d2/d11/a02384.html#a5050a760c11da521cd4aee6336f6529f">radius</a>;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <a class="code hl_variable" href="../../db/d96/a04417.html#a110e02c731e1e26e87faa771499936f8">m_Height</a> = height;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    }</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span> </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../db/d96/a04417.html#a6c87b3378c50d5a503439abeba4a49c6">   33</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d96/a04417.html#a6c87b3378c50d5a503439abeba4a49c6">Check</a>(vector <a class="code hl_variable" href="../../d2/d11/a02384.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>)</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    {</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.ZONES, <span class="keyword">this</span>, <span class="stringliteral">&quot;Check&quot;</span>);</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span> </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../da/dce/a04397.html#a08e557a3f03d20c156f87b0c7c289b7a">s_InsideBuffer</a>[<a class="code hl_variable" href="../../da/dce/a04397.html#a0aeccba03ffbdde1fd63a03affc93bf1">m_Type</a>])</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span> </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d2/d11/a02384.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>[1] &lt; <a class="code hl_variable" href="../../db/d96/a04417.html#a99b2856802ef55ab4d2108873cf9a262">m_Position</a>[1])</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span> </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d2/d11/a02384.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>[1] &gt; <a class="code hl_variable" href="../../db/d96/a04417.html#a99b2856802ef55ab4d2108873cf9a262">m_Position</a>[1] + <a class="code hl_variable" href="../../db/d96/a04417.html#a110e02c731e1e26e87faa771499936f8">m_Height</a>)</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span> </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <span class="keywordtype">bool</span> isInside = Math.IsPointInCircle(<a class="code hl_variable" href="../../d2/d11/a02384.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>, <a class="code hl_variable" href="../../db/d96/a04417.html#a680b2cd82d6a6bf143f97339077484fa">m_Radius</a>, <a class="code hl_variable" href="../../db/d96/a04417.html#a99b2856802ef55ab4d2108873cf9a262">m_Position</a>);</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span> </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <a class="code hl_variable" href="../../da/dce/a04397.html#a08e557a3f03d20c156f87b0c7c289b7a">s_InsideBuffer</a>[<a class="code hl_variable" href="../../da/dce/a04397.html#a0aeccba03ffbdde1fd63a03affc93bf1">m_Type</a>] = isInside;</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    }</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span> </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="../../db/d96/a04417.html#a1fde61b3af666228ca4f65393a8c8f49">   53</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../db/d96/a04417.html#a1fde61b3af666228ca4f65393a8c8f49">ToStr</a>()</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    {</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <span class="keywordflow">return</span> super.ToStr() + <span class="stringliteral">&quot; position=&quot;</span> + <a class="code hl_variable" href="../../db/d96/a04417.html#a99b2856802ef55ab4d2108873cf9a262">m_Position</a> + <span class="stringliteral">&quot; radius=&quot;</span> + <a class="code hl_variable" href="../../db/d96/a04417.html#a680b2cd82d6a6bf143f97339077484fa">m_Radius</a>;</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    }</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>};</div>
<div class="ttc" id="aa00710_html_a5be2213174cd68943ae1e0885eca5ec7"><div class="ttname"><a href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a></div><div class="ttdeci">static CF_Trace CF_Trace_0(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/deb/a00710_source.html#l00069">cf_trace.c:69</a></div></div>
<div class="ttc" id="aa00941_html_a91fff2923c73524aa9ddd1aa0e5c0337"><div class="ttname"><a href="../../d6/dad/a00941.html#a91fff2923c73524aa9ddd1aa0e5c0337">ExpansionZoneType</a></div><div class="ttdeci">ExpansionZoneType</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/dad/a00941_source.html#l00001">expansionzonetype.c:2</a></div></div>
<div class="ttc" id="aa02384_html_a5050a760c11da521cd4aee6336f6529f"><div class="ttname"><a href="../../d2/d11/a02384.html#a5050a760c11da521cd4aee6336f6529f">radius</a></div><div class="ttdeci">float radius</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d11/a02384_source.html#l00021">expansioninteriorbuildingmodule.c:21</a></div></div>
<div class="ttc" id="aa02384_html_a764a35c2d73b3fff21cd85b6baf13df4"><div class="ttname"><a href="../../d2/d11/a02384.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a></div><div class="ttdeci">vector position</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d11/a02384_source.html#l00020">expansioninteriorbuildingmodule.c:20</a></div></div>
<div class="ttc" id="aa04397_html"><div class="ttname"><a href="../../da/dce/a04397.html">ExpansionZone</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d38/a00926_source.html#l00004">expansionzone.c:5</a></div></div>
<div class="ttc" id="aa04397_html_a08e557a3f03d20c156f87b0c7c289b7a"><div class="ttname"><a href="../../da/dce/a04397.html#a08e557a3f03d20c156f87b0c7c289b7a">ExpansionZone::s_InsideBuffer</a></div><div class="ttdeci">static bool s_InsideBuffer[COUNT]</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d38/a00926_source.html#l00008">expansionzone.c:8</a></div></div>
<div class="ttc" id="aa04397_html_a0aeccba03ffbdde1fd63a03affc93bf1"><div class="ttname"><a href="../../da/dce/a04397.html#a0aeccba03ffbdde1fd63a03affc93bf1">ExpansionZone::m_Type</a></div><div class="ttdeci">ExpansionZoneType m_Type</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d38/a00926_source.html#l00011">expansionzone.c:11</a></div></div>
<div class="ttc" id="aa04417_html"><div class="ttname"><a href="../../db/d96/a04417.html">ExpansionZoneCylinder</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d19/a00935_source.html#l00016">expansionzonecylinder.c:17</a></div></div>
<div class="ttc" id="aa04417_html_a110e02c731e1e26e87faa771499936f8"><div class="ttname"><a href="../../db/d96/a04417.html#a110e02c731e1e26e87faa771499936f8">ExpansionZoneCylinder::m_Height</a></div><div class="ttdeci">float m_Height</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d19/a00935_source.html#l00020">expansionzonecylinder.c:20</a></div></div>
<div class="ttc" id="aa04417_html_a1fde61b3af666228ca4f65393a8c8f49"><div class="ttname"><a href="../../db/d96/a04417.html#a1fde61b3af666228ca4f65393a8c8f49">ExpansionZoneCylinder::ToStr</a></div><div class="ttdeci">override string ToStr()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d19/a00935_source.html#l00053">expansionzonecylinder.c:53</a></div></div>
<div class="ttc" id="aa04417_html_a64063c97cccce105b4dbbbe29bce6d0e"><div class="ttname"><a href="../../db/d96/a04417.html#a64063c97cccce105b4dbbbe29bce6d0e">ExpansionZoneCylinder::ExpansionZoneCylinder</a></div><div class="ttdeci">void ExpansionZoneCylinder(ExpansionZoneType type, vector position, float radius, float height)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d19/a00935_source.html#l00022">expansionzonecylinder.c:22</a></div></div>
<div class="ttc" id="aa04417_html_a680b2cd82d6a6bf143f97339077484fa"><div class="ttname"><a href="../../db/d96/a04417.html#a680b2cd82d6a6bf143f97339077484fa">ExpansionZoneCylinder::m_Radius</a></div><div class="ttdeci">float m_Radius</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d19/a00935_source.html#l00019">expansionzonecylinder.c:19</a></div></div>
<div class="ttc" id="aa04417_html_a6c87b3378c50d5a503439abeba4a49c6"><div class="ttname"><a href="../../db/d96/a04417.html#a6c87b3378c50d5a503439abeba4a49c6">ExpansionZoneCylinder::Check</a></div><div class="ttdeci">override void Check(vector position)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d19/a00935_source.html#l00033">expansionzonecylinder.c:33</a></div></div>
<div class="ttc" id="aa04417_html_a99b2856802ef55ab4d2108873cf9a262"><div class="ttname"><a href="../../db/d96/a04417.html#a99b2856802ef55ab4d2108873cf9a262">ExpansionZoneCylinder::m_Position</a></div><div class="ttdeci">vector m_Position</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d19/a00935_source.html#l00018">expansionzonecylinder.c:18</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_fa1f4f079ed95106cba6603012ba90d8.html">Core</a></li><li class="navelem"><a class="el" href="../../dir_4763e2204ca4935d3e08fff4ec8c41d9.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_f7c621fee0a2c32a175ba0589ac46b9f.html">3_game</a></li><li class="navelem"><a class="el" href="../../dir_9ddfc87c5f9b9fe1ae81092761181e6d.html">dayzexpansion_core</a></li><li class="navelem"><a class="el" href="../../dir_8979c257bb246c6a0d0df4aeec1eab9d.html">zone</a></li><li class="navelem"><a class="el" href="../../d8/d19/a00935.html">expansionzonecylinder.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
